home/urls.py
from django.contrib import admin
from django.urls import path, include
from . import views


"""portfolio URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""


app_name = 'home'

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', views.index, name='index'),
    path('portfo/', views.portfo, name='portfo'),
]

my_app/urls.py
from django.contrib import admin
from django.urls import path, include
from home import views

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('home.urls'))
]

home/models.py
from django.db import models

# Create your models here.

home/views.py
from django.http import HttpResponse
from django.shortcuts import render

# Create your views here.


def index(request):
    return render(request, 'home/index.html')


def portfo(request):
    return render(request, 'home/portfo.html')


def base(request):
    return render(request, 'base.html')

home/templates/base.html
<!DOCTYPE html>
{%load static%}
<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <title>Halo Nabiel!</title>
  <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700,200" rel="stylesheet" />
  <link href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css" rel="stylesheet" />
  <link href="css/aos.css" rel="stylesheet" />
  <link href="css/bootstrap.min.css" rel="stylesheet" />
  <link href="styles/main.css" rel="stylesheet" />
</head>
    <header>
        <div class="profile-page sidebar-collapse">
          <nav class="navbar navbar-expand-lg fixed-top navbar-transparent bg-primary" color-on-scroll="400">
            <div class="container">
              <div class="navbar-translate">
                <a class="navbar-brand" href="/index.html" rel="tooltip"><img src="images/Logo Web.png" width=35%></img></a>
                <button class="navbar-toggler navbar-toggler" type="button" data-toggle="collapse" data-target="#navigation"
                  aria-controls="navigation" aria-expanded="false" aria-label="Toggle navigation">
                  <span class="navbar-toggler-bar bar1"></span><span class="navbar-toggler-bar bar2"></span><span
                    class="navbar-toggler-bar bar3"></span>
                </button>
              </div>
              <div class="collapse navbar-collapse justify-content-end" id="navigation">
                <a href="#" class="navbar-left"><img src="images/Logo Web.png" id="logo"></a>
                <ul class="navbar-nav">
                  <li class="nav-item">
                    <a class="nav-link smooth-scroll" href="#about">About Me</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link smooth-scroll" href="#education">Education</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link smooth-scroll" href="{% url 'home:portfo' %}">Portfolio</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link smooth-scroll" href="#experience">Experience</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link smooth-scroll" href="#contact">Contact Me</a>
                  </li>
                </ul>
              </div>
            </div>
          </nav>
        </div>
      </header>
      {%block content%}
      {%endblock content%}

home/templates/home/navbar.html
<!DOCTYPE html>
<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <title>Halo Nabiel!</title>
  <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700,200" rel="stylesheet" />
  <link href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css" rel="stylesheet" />
  <link href="css/aos.css" rel="stylesheet" />
  <link href="css/bootstrap.min.css" rel="stylesheet" />
  <link href="styles/main.css" rel="stylesheet" />
</head>
    <header>
        <div class="profile-page sidebar-collapse">
          <nav class="navbar navbar-expand-lg fixed-top navbar-transparent bg-primary" color-on-scroll="400">
            <div class="container">
              <div class="navbar-translate">
                <a class="navbar-brand" href="/index.html" rel="tooltip"><img src="images/Logo Web.png" width=35%></img></a>
                <button class="navbar-toggler navbar-toggler" type="button" data-toggle="collapse" data-target="#navigation"
                  aria-controls="navigation" aria-expanded="false" aria-label="Toggle navigation">
                  <span class="navbar-toggler-bar bar1"></span><span class="navbar-toggler-bar bar2"></span><span
                    class="navbar-toggler-bar bar3"></span>
                </button>
              </div>
              <div class="collapse navbar-collapse justify-content-end" id="navigation">
                <a href="#" class="navbar-left"><img src="images/Logo Web.png" id="logo"></a>
                <ul class="navbar-nav">
                  <li class="nav-item">
                    <a class="nav-link smooth-scroll" href="#about">About Me</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link smooth-scroll" href="#education">Education</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link smooth-scroll" href="portfo.html">Portfolio</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link smooth-scroll" href="#experience">Experience</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link smooth-scroll" href="#contact">Contact Me</a>
                  </li>
                </ul>
              </div>
            </div>
          </nav>
        </div>
      </header>
      {%block content%}
      {%endblock content%}

home/templates/home/portfo.html
{%extends 'base.html'}
{%block content%}
<html>
  <!-- <head>
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700,200" rel="stylesheet" />
  <link href="https://maxcdn.bootstrapcdn.com/font-awesome/latest/css/font-awesome.min.css" rel="stylesheet" />
    <link href="styles/main.css" rel="stylesheet" />
    <link href="css/aos.css" rel="stylesheet" />
    <link href="css/bootstrap.min.css" rel="stylesheet" />
  </head>
  <header>
    iv class="profile-page sidebar-collapse">
      <nav class="navbar navbar-expand-lg fixed-top navbar-transparent bg-primary" color-on-scroll="400">
        <div class="container"> 
          <div class="navbar-translate">
            <a class="navbar-brand" href="/index.html#" rel="tooltip"><img src="images/Logo Web.png" width=35%></img></a>
            <button class="navbar-toggler navbar-toggler" type="button" data-toggle="collapse" data-target="#navigation"
              aria-controls="navigation" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-bar bar1"></span><span class="navbar-toggler-bar bar2"></span><span
                class="navbar-toggler-bar bar3"></span>
            </button>
          </div>
          <div class="collapse navbar-collapse justify-content-end" id="navigation">
            <a href="index.html#" class="navbar-left"><img src="images/Logo Web.png" id="logo"></a>
            <ul class="navbar-nav">
              <li class="nav-item">
                <a class="nav-link smooth-scroll" href="#about">About Me</a>
              </li>
              <li class="nav-item">
                <a class="nav-link smooth-scroll" href="#education">Education</a>
              </li>
              <li class="nav-item">
                <a class="nav-link smooth-scroll" href="portfo.html">Portfolio</a>
              </li>
              <li class="nav-item">
                <a class="nav-link smooth-scroll" href="#experience">Experience</a>
              </li>
              <li class="nav-item">
                <a class="nav-link smooth-scroll" href="#contact">Contact Me</a>
              </li>
            </ul>
          </div>
        </div>
      </nav>
    </div>
  </header> -->
  <body>
    <div class="gallery">
      <a target="_blank" href="images/photography-1.jpg">
        <img src="images/photography-1.jpg" alt="Cinque Terre" width="600" height="400" />
      </a>
      <div class="desc">Ini bukan hasil karya saya</div>
    </div>

    <div class="gallery">
      <a target="_blank" href="images/photography-1.jpg">
        <img src="images/photography-1.jpg" alt="Forest" width="600" height="400" />
      </a>
      <div class="desc">Ini juga bukan hasil karya saya</div>
    </div>

    <div class="gallery">
      <a target="_blank" href="images/photography-3.jpg">
        <img
          src="images/photography-3.jpg"
          alt="Northern Lights"
          width="600"
          height="400"
        />
      </a>
      <div class="desc">Ini juga bukan nanti diganti deh janji</div>
    </div>

    <div class="gallery">
      <a target="_blank" href="images/photography-4.jpg">
        <img src="images/photography-4.jpg" alt="Mountains" width="600" height="400" />
      </a>
      <div class="desc">Iya ini juga bukan kok</div>
    </div>

    <div class="gallery">
      <a target="_blank" href="images/photography-1.jpg">
        <img src="images/photography-1.jpg" alt="Cinque Terre" width="600" height="400" />
      </a>
      <div class="desc">Mohon maaf diulang hehe</div>
    </div>

    <div class="gallery">
      <a target="_blank" href="images/photography-2.jpg">
        <img src="images/photography-2.jpg" alt="Forest" width="600" height="400" />
      </a>
      <div class="desc">Mohon maaf diulang lagi heheheh</div>
    </div>

    <div class="gallery">
      <a target="_blank" href="images/photography-3.jpg">
        <img
          src="images/photography-3.jpg"
          alt="Northern Lights"
          width="600"
          height="400"
        />
      </a>
      <div class="desc">Udahlah taulah ini masih blom jadi</div>
    </div>

    <div class="gallery">
      <a target="_blank" href="images/photography-4.jpg">
        <img src="images/photography-4.jpg" alt="Mountains" width="600" height="400" />
      </a>
      <div class="desc">Maaf ya kak gue mager banget hehe</div>
    </div>  

  </body>
</html>
{%endblock content%}